Progress bar for a shared version on gantt disappears when the tree is collapsed and then expanded
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.1.4   

Resolution: Fixed Affected version: 4.1.1

Description

Example:

1. Initial state.

 initial.png 

2. The bar will disappear when collapsing Version1 directly under Project1.

 collapsed_error.png 

I suspect that the cause is in the following line.

source:/branches/4.1-stable/public/javascripts/gantt.js@19434#L262

Associated revisions

Revision 21115 - 2021-07-31 08:21 - Go MAEDA

Progress bar for a shared version on gantt disappears when the tree is collapsed and then expanded (#34694).

Patch by Yuichi HARADA.

Revision 21116 - 2021-07-31 08:24 - Go MAEDA

Merged r21115 from trunk to 4.2-stable (#34694).

Revision 21117 - 2021-07-31 08:25 - Go MAEDA

Merged r21115 from trunk to 4.1-stable (#34694).

History

#1 - 2021-02-08 06:27 - Go MAEDA

- Status changed from New to Confirmed

I have confirmed the issue. It occurs when a version is shared with subprojects.

Steps to reproduce:

1. Create a shared version in a parent project

2. Set any issue's target version to the shared version in the parent project and its subproject

3. On the gannt, collapse and expand the shared version in the parent project

4. The progress bar for the shared version should appear again after expanding the version but does not

#2 - 2021-02-09 08:48 - Yuichi HARADA

- File 34694.patch added

Go MAEDA wrote:

I have confirmed the issue. It occurs when a version is shared with subprojects.

Steps to reproduce:

1. Create a shared version in a parent project

2. Set any issue's target version to the shared version in the parent project and its subproject

3. On the gannt, collapse and expand the shared version in the parent project

2025-05-21 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/19434/entry/branches/4.1-stable/public/javascripts/gantt.js#L262


4. The progress bar for the shared version should appear again after expanding the version but does not

 I also confirmed.

When the same shared versions are displayed multiple on Gantt, I can't figure out the target taskbar when collapsing one of these versions. To solve

this, the top value at the time of initial display is set in the data-default-top attribute for each display item. This value is used as an attribute of the

selector when to execute collapse/expand.

I have attached a patch.

#3 - 2021-02-15 08:55 - Yuichi HARADA

- File 34694-v2.patch added

Yuichi HARADA wrote:

I also confirmed.

When the same shared versions are displayed multiple on Gantt, I can't figure out the target taskbar when collapsing one of these versions. To

solve this, the top value at the time of initial display is set in the data-default-top attribute for each display item. This value is used as an attribute

of the selector when to execute collapse/expand.

I have attached a patch.

 I could get the number of the current rows, so I remade the patch.

#4 - 2021-03-01 08:53 - Go MAEDA

- Target version set to Candidate for next minor release

#5 - 2021-07-25 07:13 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.4

Setting the target version to 4.1.4.

#6 - 2021-07-26 22:29 - Marius BĂLTEANU

- Assignee set to Go MAEDA

#7 - 2021-07-31 08:26 - Go MAEDA

- Subject changed from Collapse/expand of Gantt chart does not work properly when multiple bars of the same shared version are displayed. to

Progress bar for a shared version on gantt disappears when the tree is collapsed and then expanded

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed the fix. Thank you.

#8 - 2021-08-21 13:01 - Yasu Saku

Thank you.
